/*
 * $Id: standard.pmod,v 1.3 1998/10/10 23:06:34 grubba Exp $
 *
 * Roxen locale support -- Default language (English)
 *
 * Henrik Grubbstrm 1998-10-10
 */

class _base_server {

  // base_server/roxen.pike
  string out_of_sockets() {
    return("Out of sockets. Restarting server gracefully.\n");
  }
  string connection_from(string addr) {
    return("Connection from "+addr);
  }
  string uncaught_error(string bt) {
    return("Uncaught error in handler thread: " + bt +
	   "Client will not get any response from Roxen.\n");
  }
  string stdin_is_quiet(int errno) {
    return("Cannot listen to stdin.\n"
	   "Errno is " + errno + "\n");
  }
  string socket_already_bound_retry(string ether, int port_no, int errno) {
    return("Failed to open socket on " + ether + ":" + port_no +
	   " (already bound?)\nErrno is: " + errno + "\n"
	   "Retrying...\n");
  }
  string socket_already_bound(string ether, int port_no, int errno) {
    return("Failed to open socket on " + ether + ":" + port_no +
	   " (already bound?)\nErrno is: " + errno + "\n");
  }
  string configuration_interface_failed(string bt) {
    return(sprintf("Failed to load the configuration interface!\n%s\n", bt));
  }
  string unload_configuration_interface() {
    return("Unloading the configuration interface\n");
  }
  string supports_bad_include(string file) {
    return("Supports: Cannot include file "+file+"\n");
  }
  string supports_bad_regexp(string bt) {
    return(sprintf("Failed to parse supports regexp:\n%s\n", bt));
  }
  string replacing_supports() { return("Replacing etc/supports"); }
  string unique_uid_logfile() { return("Unique user ID logfile.\n"); }
  string no_servers_enabled() { return("<B>No virtual servers enabled</B>\n"); }
  string full_status(string real_version, int boot_time, int time_to_boot,
		     int days, int hrs, int min, int sec, string sent_data,
		     float kbps, string sent_headers, int num_requests,
		     float rpm, string received_data) {
    return(sprintf("<table>"
		   "<tr><td><b>Version:</b></td><td colspan=2>%s</td></tr>\n"
		   "<tr><td><b>Booted on:</b></td><td colspan=2>%s</td></tr>\n"
		   "<tr><td><b>Time to boot:</b></td>"
		   "<td>%d sec</td></tr>\n"
		   "<tr><td><b>Uptime:</b></td>"
		   "<td colspan=2>%d day%s, %02d:%02d:%02d</td></tr>\n"
		   "<tr><td colspan=3>&nbsp;</td></tr>\n"
		   "<tr><td><b>Sent data:</b></td><td>%s"
		   "</td><td>%.2f Kbit/sec</td></tr><tr>\n"
		   "<td><b>Sent headers:</b></td><td>%s</td></tr>\n"

		   "<tr><td><b>Number of requests:</b></td>"
		   "<td>%8d</td><td>%.2f/min</td></tr>\n"
		   "<tr><td><b>Received data:</b></td>"
		   "<td>%s</td></tr>\n"
		   "</table>",
		   real_version, ctime(boot_time), time_to_boot,
		   days, (days==1?"":"s"), hrs, min, sec,
		   sent_data, kbps, sent_headers,
		   num_requests, rpm, received_data));
  }
  string anonymous_user() { return("A. Nonymous"); }
  string setting_uid_gid_permanently(int uid, int gid) {
    return("Setting UID permanently to "+uid+" and GID to "+gid+"\n");
  }
  string setting_uid_gid(int uid, int gid) {
    return("Setting UID to "+uid+" and GID to "+gid+"\n");
  }
  string reloading_config_interface() {
    return("Reloading configuration files from disk\n");
  }
  string error_enabling_configuration(string config, string bt) {
    return("Error while enabling configuration "+config+":\n"+
	   bt+"\n");
  }
  string disabling_configuration(string config) {
    return("Disabling old configuration " + config + "\n");
  }
  string enabled_server(string server) {
    return("Enabled the virtual server \"" +server + "\".\n");
  }
  string obsolete_ssl(string prot) {
    return("Obsolete SSL protocol-module \""+prot+"\".\n"
	   "Converted to SSL3.\n");
  }
  string new_config_port(string url) {
    return(sprintf("New configuration port: %s\n", url));
  }
  string disable_config_port(string url) {
    return(sprintf("Disabling configuration port: %s...\n", url));
  }
  string error_disabling_config_port(string url, string bt) {
    return(sprintf("Error disabling configuration port: %s:\n"
		   "%s\n", url, bt));
  }
  string no_request_program(string prot) {
    return("No request program for "+prot+"\n");
  }
  string opening_low_port() {
    return("Opening listen port below 1024");
  }
  string opening_config_port(string url) {
    return(sprintf("Opening configuration port: %s\n", url));
  }
  string could_not_open_config_port(string url) {
    return(sprintf("The configuration port %s "
		   "could not be opened\n", url));
  }
  string open_config_port_failed(string url, string err) {
    return(sprintf("Failed to open configuration port %s:\n"
		   "%s\n", url, err));
  }
  string no_config_port() {
    return("No configuration ports could be created.\n"
	   "Is roxen already running?\n");
  }
  string disabled_module(string name) {
    return(sprintf("Module %O is disabled.\n", name));
  }
  string module_compilation_errors(string d, string errors) {
    return("Compilation errors found while scanning modules in " +
	   d + ":\n" + errors + "\n");
  }
  string scanning_for_modules() {
    return("Scanning module directories for modules");
  }
  string module_scan_error(string path, string bt) {
    return("While scanning module dir (\"" + path + "\"): " + bt + "\n");
  }
  string module_scan_done(int num_modules) {
    return("Done with module directory scan. Found " +
	   num_modules + " modules.\n");
  }
  string starting_roxen() {
    return("Starting Roxen\n");
  }
  string roxen_started(int sec) {
    return("Roxen started in " + sec + " seconds.\n");
  }
  string url_format() {
    return("The URL should follow this format: protocol://computer[:port]/");
  }

  // base_server/configuration.pike
  string opening_logfile(string logfile) {
    return("Opening logfile \""+logfile+"\"");
  }
  string failed_to_open_logfile(string logfile) {
    return("Failed to open logfile. ("+logfile+")\n" +
	   "No logging will take place!\n");
  }
  string status_bignum_gone() {
    return("Fatal error in status(): Bignum object gone.\n");
  }
  string config_status(float sent_data, float kbps, float sent_headers,
		       int num_requests, float rpm, float received_data) {
    return(sprintf("<tr align=right><td><b>Sent data:</b></td><td>%.2fMB"
		  "</td><td>%.2f Kbit/sec</td>"
		   "<td><b>Sent headers:</b></td><td>%.2fMB</td></tr>\n"
		   "<tr align=right><td><b>Number of requests:</b></td>"
		   "<td>%8d</td><td>%.2f/min</td>"
		   "<td><b>Received data:</b></td><td>%.2fMB</td></tr>\n",
		   sent_data, kbps, sent_headers,
  		   num_requests, rpm, received_data));
  }
  string ftp_status(int total_users, float upm, int num_users) {
    return(sprintf("<tr align=right><td><b>FTP users (total):</b></td>"
		   "<td>%8d</td><td>%.2f/min</td>"
		   "<td><b>FTP users (now):</b></td><td>%d</td></tr>\n",
		   total_users, upm, num_users));
  }
  string ftp_statistics() {
    return("<b>FTP statistics:</b>");
  }
  string ftp_stat_line(string cmd, int times) {
    return(sprintf("<tr align=right><td><b>%s</b></td>"
		   "<td align=right>%d</td><td> time%s</td></tr>\n",
		   cmd, times, (times == 1)?"":"s"));
  }
  string no_auth_module() {
    return("No authorization module");
  }
  string module_security_error(string bt) {
    return(sprintf("Error during module security check:\n"
		   "%s\n", bt));
  }
  string clear_memory_cache_error(string modname, string bt) {
    return(sprintf("clear_memory_caches() failed for module %O:\n"
		   "%s\n", modname, bt));
  }
  string returned_redirect_to(string location) {
    return("Returned <i><b>redirect</b></i>;<br>&nbsp;&nbsp;&nbsp;to "
	   "<a href=" + location + ">"
	   "<font color=darkgreen><tt>" + location + "</tt></font></a><br>");
  }
  string returned_redirect_no_location() {
    return("Returned redirect, but no location header\n");
  }
  string returned_authenticate(string auth) {
    return("Returned <i><b>authentication failed</b></i>;"
	   "<br>&nbsp;&nbsp;&nbsp;<tt>" + auth + "</tt><br>");
  }
  string returned_auth_failed() {
    return("Returned <i><b>authentication failed</b></i>.<br>");
  }
  string returned_ok() {
    return("Returned <i><b>ok</b></i><br>\n");
  }
  string returned_error(int errcode) {
    return("Returned <b><tt>" + errcode + "</tt></b>.<br>\n");
  }
  string returned_no_data() {
    return("No data ");
  }
  string returned_bytes(int len) {
    return(len + " bytes ");
  }
  string returned_unknown_bytes() {
    return("? bytes");
  }
  string returned_static_data() {
    return(" (static)");
  }
  string returned_open_file() {
    "(open file)";
  }
  string returned_type(string type) {
    return(" of <tt>" + type + "</tt>\n");
  }
  string request_for(string path) {
    return("Request for " + path);
  }
  string magic_internal_gopher() {
    return("Magic internal gopher image");
  }
  string magic_internal_roxen() {
    return("Magic internal roxen image");
  }
  string directory_module() {
    return("Directory module");
  }
  string returning_data() {
    return("Returning data");
  }
  string url_module() {
    return("URL module");
  }
  string too_deep_recursion() {
    return("Too deep recursion");
  }
  string extension_module(string ext) {
    return("Extension module [" + ext + "] ");
  }
  string returned_fd() {
    return("Returned open filedescriptor.");
  }
  string seclevel_is_now(int slevel) {
    return(" The security level is now " + slevel + ".");
  }
  string location_module(string loc) {
    return("Location module [" + loc + "] ");
  }
  string module_access_denied() {
    return("Permission to access module denied.");
  }
  string request_denied() {
    return("Request denied.");
  }
  string calling_find_file() {
    return("Calling find_file()...");
  }
  string find_file_returned(mixed fid) {
    return(sprintf("find_file has returned %O", fid));
  }
  string returned_directory_indicator() {
    return("Returned directory indicator.");
  }
  string automatic_redirect_to_location() {
    return("Automatic redirect to location_module.");
  }
  string no_magic() {
    return("No magic requested. Returning -1.");
  }
  string no_directory_module() {
    return("No directory module. Returning 'no such file'");
  }
  string permission_denied() {
    return("Permission denied");
  }
  string returned_new_fd() {
    return("Returned new open file.");
  }
  string content_type_module() {
    return("Content-type mapping module");
  }
  string returned_mime_type(string t1, string t2) {
    return("Returned type " + t1 + " " + t2 + ".");
  }
  string missing_type() {
    return("Missing type.");
  }
  string returned_not_found() {
    return("Returned 'no such file'.");
  }
};

object(_base_server) base_server = _base_server();

