/*
 * $Id: svenska.pmod,v 1.2 1998/10/10 20:07:55 grubba Exp $
 *
 * Roxen locale support -- Svenska (Swedish)
 *
 * Henrik Grubbstrm 1998-10-10
 */

inherit Locale.Roxen.standard;

class _base_server {
  inherit Locale.Roxen.standard._base_server;	// Fallback.

  string out_of_sockets() {
    return("Slut p sockets. Startar om servern.\n");
  }
  string connection_from(string addr) {
    return(sprintf("Uppkoppling frn %s", addr));
  }
  string uncaught_error(string bt) {
    return("Ofngat fel i en hanterartd: " + bt +
	   "Klienten kommer inte att f ngot svar frn Roxen.\n");
  }
  string stdin_is_quiet(int errno) {
    return("Misslyckas att lyssna (listen) p stdin.\n"
	   "Errno r " + errno + "\n");
  }
  string socket_already_bound_retry(string ether, int port_no, int errno) {
    return("Misslyckades att binda till porten " + ether + ":" + port_no +
	   " (redan bunden?)\n"
	   "Errno r: " + errno + "\n"
	   "Frsker igen...\n");
  }
  string socket_already_bound(string ether, int port_no, int errno) {
    return("Misslyckades att binda till porten " + ether + ":" + port_no +
	   " (redan bunden?)\n"
	   "Errno r: " + errno + "\n");
  }
  string configuration_interface_failed(string bt) {
    return(sprintf("Misslyckades att ladda konfigurationsgrnssnittet!\n"
		   "%s\n", bt));
  }
  string unload_configuration_interface() {
    return("Frigr konfigurationsgrnssnittet\n");
  }
  string supports_bad_include(string file) {
    return("Supports: Kan inte inkludera (include) filen "+file+"\n");
  }
  string supports_bad_regexp(string bt) {
    return(sprintf("Misslyckades att tolka supportsdatabasen\n%s\n", bt));
  }
  string replacing_supports() { return("Byter ut etc/supports"); }
  string unique_uid_logfile() { return("Unik anvndaridlogfil.\n"); }
  string no_servers_enabled() { return("<B>Inga virtuella servrar skapade</B>\n"); }
  string full_status(string real_version, int boot_time, int time_to_boot,
		     int days, int hrs, int min, int sec, string sent_data,
		     float kbps, string sent_headers, int num_requests,
		     float rpm, string received_data) {
    return(sprintf("<table>"
		   "<tr><td><b>Version:</b></td><td colspan=2>%s</td></tr>\n"
		   "<tr><td><b>Bootad den:</b></td><td colspan=2>%s</td></tr>\n"
		   "<tr><td><b>Tid att boota:</b></td>"
		   "<td>%d s</td></tr>\n"
		   "<tr><td><b>Upptid:</b></td>"
		   "<td colspan=2>%d dag%s, %02d:%02d:%02d</td></tr>\n"
		   "<tr><td colspan=3>&nbsp;</td></tr>\n"
		   "<tr><td><b>Snd data:</b></td><td>%s"
		   "</td><td>%.2f Kbit/s</td></tr><tr>\n"
		   "<td><b>Snda headrar:</b></td><td>%s</td></tr>\n"
		   "<tr><td><b>Antal frfrgningar:</b></td>"
		   "<td>%8d</td><td>%.2f/min</td></tr>\n"
		   "<tr><td><b>Emottagen data:</b></td>"
		   "<td>%s</td></tr>\n"
		   "</table>",
		   real_version, ctime(boot_time), time_to_boot,
		   days, (days==1?"":"ar"), hrs, min, sec,
		   sent_data, kbps, sent_headers,
		   num_requests, rpm, received_data));
  }
  string anonymous_user() { return("A. Nonym"); }
  string setting_uid_gid_permanently(int uid, int gid) {
    return("Stter UID och GID permanent till " + uid + " resp " + gid + "\n");
  }
  string setting_uid_gid(int uid, int gid) {
    return("Stter UID till " + uid + " och GID till " + gid + "\n");
  }
  string reloading_config_interface() {
    return("Laddar om konfigurationsfilerna frn disk\n");
  }
  string error_enabling_configuration(string config, string bt) {
    return("Fel uppstod nr konfigurationen " + config + " laddades:\n" +
	   bt + "\n");
  }
  string disabling_configuration(string config) {
    return("Tar bort den servern " + config + "\n");
  }
  string enabled_server(string server) {
    return("Den virtuella servern \"" +server + "\" r nu igng.\n");
  }
  string obsolete_ssl(string prot) {
    return("Obsolet SSL-protokollmodul \""+prot+"\".\n"
	   "Utbytt till SSL3.\n");
  }
  string new_config_port(string url) {
    return(sprintf("Ny konfigurationsport: %s\n", url));
  }
  string disable_config_port(string url) {
    return(sprintf("Tar bort konfigurationsporten %s...\n", url));
  }
  string error_disabling_config_port(string url, string bt) {
    return(sprintf("Fel uppstod nr konfigurationsporten %s skulle tas bort:\n"
		   "%s\n", url, bt));
  }
  string no_request_program(string prot) {
    return("No request program for "+prot+"\n");
  }
  string opening_low_port() {
    return("ppnar port under 1024");
  }
  string opening_config_port(string url) {
    return(sprintf("ppnar konfigurationsport: %s\n", url));
  }
  string could_not_open_config_port(string url) {
    return(sprintf("Konfigurationsporten %s kunde inte ppnas.\n", url));
  }
  string open_config_port_failed(string url, string err) {
    return(sprintf("Kunde inte ppna konfigurationsporten %s:\n"
		   "%s\n", url, err));
  }
  string no_config_port() {
    return("Ingen konfigurationsport kunde ppnas.\n"
	   "Kr Roxen redan?\n");
  }
  string disabled_module(string name) {
    return(sprintf("Modulen %O r avstngd.\n", name));
  }
  string module_compilation_errors(string d, string errors) {
    return("Kompileringsfel uppstod under skningen efter moduler "
	   "i katalogen " + d + ":\n" + errors + "\n");
  }
  string scanning_for_modules() {
    return("Sker efter moduler i modulkatalogerna.");
  }
  string module_scan_error(string path, string bt) {
    return("Fel intrffade under skning efter moduler i "
	   "katalogen \"" + path + "\": " + bt + "\n");
  }
  string module_scan_done(int num_modules) {
    return("Skningen efter moduler klar. Fann " +
	   num_modules + " moduler.\n");
  }
  string starting_roxen() {
    return("Startar Roxen\n");
  }
  string roxen_started(int sec) {
    return("Roxen startad p " + sec + " sekunder.\n");
  }
  string url_format() {
    return("URL'en ska ha fljande format: protokoll://dator[:port]/");
  }
};
